> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atomscale.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Tags to Data Items

> Apply tags to data items in bulk

Applies the given tags to the given data items. Every tag in `tag_ids` is applied to every data item in `data_ids`.

<ParamField body="data_ids" type="array" required>
  Array of data item UUIDs to tag
</ParamField>

<ParamField body="tag_ids" type="array" required>
  Array of tag UUIDs to apply
</ParamField>

## Response

Returns an empty response on success.

<RequestExample>
  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://api.atomscale.ai/tags/data-items/",
      headers={
          "X-API-KEY": "YOUR_API_KEY",
          "Content-Type": "application/json"
      },
      json={
          "data_ids": ["d290f1ee-6c54-4b01-90e6-d701748f0851"],
          "tag_ids": ["7c9e6679-7425-40de-944b-e07fc1f90ae7"]
      }
  )
  ```

  ```bash cURL theme={null}
  curl -X POST "https://api.atomscale.ai/tags/data-items/" \
    -H "X-API-KEY: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "data_ids": ["d290f1ee-6c54-4b01-90e6-d701748f0851"],
      "tag_ids": ["7c9e6679-7425-40de-944b-e07fc1f90ae7"]
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {}
  ```
</ResponseExample>
